(function (Drupal) {

  Drupal.smart_content.SmartContentManager = Drupal.smart_content.SmartContentManager || {};
  Drupal.smart_content.SmartContentManager.plugin = Drupal.smart_content.SmartContentManager.plugin || {};
  Drupal.smart_content.SmartContentManager.plugin.Field = Drupal.smart_content.SmartContentManager.plugin.Field || {};
  Drupal.smart_content.SmartContentManager.plugin.Field.demandbaseSmartCondition = {
    init: function (Field) {
      // pluginId[0] = base plugin ID.
      // pluginId[1] = Demandbase field key.
      let pluginId = Field.pluginId.split(':');
      if (pluginId[0] !== 'demandbase') {
        return;
      }
      Field.claim();
      let i = 0;
      Field.processingInteval = setInterval(function () {
        i++;
        if (!Field.processed && window.Demandbase && window.Demandbase.IP && window.Demandbase.IP.CompanyProfile) {
          if (window.Demandbase.IP.CompanyProfile
            && typeof pluginId[1] !== 'undefined'
            && typeof window.Demandbase.IP.CompanyProfile[pluginId[1]] !== 'undefined') {
            Field.complete(window.Demandbase.IP.CompanyProfile[pluginId[1]], true);
          }
          else {
            Field.complete(null, true);
          }
          clearInterval(Field.processingInteval);
        }
        if (i >= 20) {
          if (!window.Demandbase) {
            console.error('Demandbase tag not found.');
          }
          else {
            console.error('"' + pluginId[1] + '" key does not exist for ' + window.Demandbase.IP.CompanyProfile.ip + '.');
          }
          Field.complete(null, true);
          clearInterval(Field.processingInteval);
        }
      }, 200);
    }
  }

}(Drupal));
